﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace OsakaUniv.RIWL.Koudo.Writimation
{
    public partial class frmMove : Form
    {
        private float x_;
        private float y_;

        #region constructor
        //
        //  constructor
        //

        public frmMove()
        {
            InitializeComponent();
        }

        #endregion  //  constructor

        #region property
        //
        //  property
        //

        public float X
        {
            get { return this.x_; }
            set { this.x_ = value; }
        }

        public float Y
        {
            get { return this.y_; }
            set { this.y_ = value; }
        }

        #endregion  //  property

        #region event
        //
        //  event
        //

        private void btnOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.x_ = Single.Parse(txtX.Text);
                this.y_ = Single.Parse(txtY.Text);
            }
            catch (Exception exp)
            {
                MessageBox.Show(
                    "[frmMove.btnOK_Click]"
                    + "(" + exp.Source + ")\r\n"
                    + "  " + exp.Message,
                    Application.ProductName,
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
            }
        }

        private void frmMove_Load(object sender, EventArgs e)
        {
            this.Text = "move to";
            txtX.Text = this.x_.ToString();
            txtY.Text = this.y_.ToString();
        }

        #endregion  //  event
    }
}
