﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace OsakaUniv.RIWL.Koudo.Writimation
{
    public partial class frmResize : Form
    {
        private float xRatio_ = 100F;
        private float yRatio_ = 100F;

        #region constructor
        //
        //  constructor
        //

        public frmResize()
        {
            InitializeComponent();
        }

        #endregion  //  constructor

        #region property
        //
        //  property
        //

        public float XRatio
        {
            get { return this.xRatio_; }
            set { this.xRatio_ = value; }
        }

        public float YRatio
        {
            get { return this.yRatio_; }
            set { this.yRatio_ = value; }
        }

        #endregion  //  property

        #region event
        //
        //  event
        //

        private void btnApply_Click(object sender, EventArgs e)
        {
            this.xRatio_ = (float)nudX.Value;
            this.yRatio_ = (float)nudY.Value;
        }

        private void frmResize_Load(object sender, EventArgs e)
        {
            this.Text = Application.ProductName + "[resize]";

            nudX.Value = (decimal)this.xRatio_;
            nudY.Value = (decimal)this.yRatio_;
        }

        private void nudX_Enter(object sender, EventArgs e)
        {
            nudX.Select(0, nudX.Text.Length);
        }

        private void nudY_Enter(object sender, EventArgs e)
        {
            nudY.Select(0, nudY.Text.Length);
        }

        #endregion  //  event
    }
}
